Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cassandra.service
Class SocketSessionManagementService

    java.lang.Object
      org.apache.cassandra.service.SocketSessionManagementService

    public class SocketSessionManagementService

extends java.lang.Object

Field Summary
`static SocketSessionManagementService` | `instance`
`static java.lang.ThreadLocal<java.net.SocketAddress>` | `remoteSocket`

Constructor Summary
`SocketSessionManagementService()`

Method Summary
`void` | `clear()`
`ClientState` | `get(java.net.SocketAddress key)`
`void` | `put(java.net.SocketAddress key, ClientState value)`
`boolean` | `remove(java.net.SocketAddress key)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    public static final SocketSessionManagementService instance

### remoteSocket

    public static final java.lang.ThreadLocal<java.net.SocketAddress> remoteSocket

Constructor Detail

### SocketSessionManagementService

    public SocketSessionManagementService()

Method Detail

### get

    public ClientState get(java.net.SocketAddress key)

### put

    public void put(java.net.SocketAddress key,
                    ClientState value)

### remove

    public boolean remove(java.net.SocketAddress key)

### clear

    public void clear()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013 The Apache Software Foundation